Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class MethodCache

    java.lang.Object
      com.beasys.commerce.util.MethodCache

Deprecated See BEA Commerce product offering

    @Deprecated
    public class MethodCache

extends Object

Field Summary
`protected LinkedList` | `cache` Deprecated See BEA Commerce product offering

Constructor Summary
`protected` | `MethodCache()` Deprecated See BEA Commerce product offering

Method Summary
`static MethodCache` | `getInstance()` Deprecated See BEA Commerce product offering
`Method` | `getMethod(Class c, String aName, Class[] theParams)` Deprecated See BEA Commerce product offering
`static void` | `main(String[] args)` Deprecated See BEA Commerce product offering
`int` | `testMethod(String aString)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected LinkedList cache

  Deprecated See BEA Commerce product offering

Constructor Detail

### MethodCache

    protected MethodCache()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### getInstance

    public static MethodCache getInstance()

  Deprecated See BEA Commerce product offering

  Get instance.

  Returns
    `MethodCache`

### getMethod

    public Method getMethod(Class c,
                            String aName,
                            Class[] theParams)

  Deprecated See BEA Commerce product offering

  Get method.

  Parameters
    `c` -
    `aName` -
    `theParams` -
  Returns
    `Method`

### testMethod

    public int testMethod(String aString)

  Deprecated See BEA Commerce product offering

  Test method.

  Parameters
    `aString` -
  Returns
    `int`

### main

    public static void main(String[] args)

  Deprecated See BEA Commerce product offering

  Main - test program.

  Parameters
    `args` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved